%define anolis_release 3
%global srcname tornado
%global common_description %{expand:
Tornado is an open source version of the scalable, non-blocking web
server and tools.

The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.}

Name:           python-%{srcname}
Version:        6.3.3
Release:        %{anolis_release}%{?dist}
Summary:        Scalable, non-blocking web server and tools

License:        ASL 2.0
URL:            https://www.tornadoweb.org
Source0:        https://github.com/tornadoweb/%{srcname}/archive/refs/tags/v%{version}.tar.gz

# Do not turn DeprecationWarning in tornado module into Exception
# fixes FTBFS with Python 3.8
Patch1:         Do-not-turn-DeprecationWarning-into-Exception.patch

BuildRequires:  gcc
BuildRequires:  python3-devel

%description %{common_description}

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}

%package -n python3-%{srcname}-doc
Summary:        Examples for %{name}
Obsoletes:      python-tornado-doc < 6.3.3
Buildarch:      noarch

%description -n python3-%{srcname}-doc %{common_description}

This package contains some example applications.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -e py3

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
# Skip the same timing-related tests that upstream skips when run in Travis CI.
export TRAVIS=true
%tox

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE

%files -n python3-%{srcname}-doc
%doc README.rst
%doc demos

%changelog
* Mon Apr 08 2024 Bo Ren <rb01097748@alibaba-inc.com> - 6.3.3-3
- Rebuild with python3.11

* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 6.3.3-2
- Rebuild with python3.11

* Tue Feb 06 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.3.3-1
- update to 6.3.3

* Thu Jun 08 2023 Funda Wang <fundawang@yeah.net> - 6.3.2-1
- New version 6.3.2

* Tue Jan 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.2.0-1
- update to version 6.2.0

* Thu Apr 28 2022 mgb01105731 <mgb01105731@alibaba-inc.com> -6.1.0-1
- Init from  upstream version 6.1.0
